Conformer.h File Reference
`#include <RDGeneral/export.h>`
`#include <Geometry/point.h>`
`#include <RDGeneral/types.h>`
`#include <boost/smart_ptr.hpp>`
`#include <RDGeneral/RDProps.h>`
`#include <limits>`
`#include <utility>`

Go to the source code of this file.

## Classes

class | RDKit::ConformerException
| used to indicate errors from incorrect conformer access More...
class | RDKit::Conformer
| The class for representing 2D or 3D conformation of a molecule. More...

## Namespaces

| RDKit
| Std stuff.

## Typedefs

typedef boost::shared_ptr< Conformer > | RDKit::CONFORMER_SPTR

## Functions

bool | RDKit::hasNonZeroZCoords (const Conformer &conf)
| Returns true if any of the z coords are non zero, false otherwise. More...